%define oname plasma-sdk

Summary:	Plasma 5 SDK
Name:		plasma5-sdk
Version:	5.10.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5archive-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5texteditor-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:	plasma5-cuttlefish
Requires:	plasma5-engineexplorer
Requires:	plasma5-lookandfeelexplorer
Requires:	plasma5-plasmoidviewer
Requires:	plasma5-themeexplorer

%description
Plasma 5 SDK.

%files

#----------------------------------------------------------------------------

%package -n plasma5-cuttlefish
Summary:	Plasma 5 icon browser
Group:		Graphical desktop/KDE

%description -n plasma5-cuttlefish
Plasma 5 icon browser.

%files -n plasma5-cuttlefish -f cuttlefish.lang
%{_kde5_applicationsdir}/org.kde.cuttlefish.desktop
%{_kde5_bindir}/cuttlefish
%dir %{_kde5_datadir}/plasma/packages/org.kde.plasma.cuttlefish/
%{_kde5_datadir}/plasma/packages/org.kde.plasma.cuttlefish/*
%{_kde5_services}/plasma-package-org.kde.plasma.cuttlefish.desktop
%{_qt5_plugindir}/ktexteditor/cuttlefishplugin.so
%{_appdatadir}/org.kde.cuttlefish.appdata.xml
%{_appdatadir}/org.kde.plasma.cuttlefish.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-engineexplorer
Summary:	Plasma 5 engine explorer
Group:		Graphical desktop/KDE
Conflicts:	plasmate

%description -n plasma5-engineexplorer
Plasma 5 engine explorer. It's used to explore plasma data engines.

%files -n plasma5-engineexplorer -f plasmaengineexplorer.lang
%{_kde5_bindir}/plasmaengineexplorer
%{_kde5_mandir}/man1/plasmaengineexplorer.1*

#----------------------------------------------------------------------------

%package -n plasma5-lookandfeelexplorer
Summary:	Plasma 5 look-and-feel explorer
Group:		Graphical desktop/KDE

%description -n plasma5-lookandfeelexplorer
Plasma 5 look-and-feel explorer. It's used to explore plasma look-and-feel
styles.

%files -n plasma5-lookandfeelexplorer -f org.kde.plasma.lookandfeelexplorer.lang
%{_kde5_applicationsdir}/org.kde.plasma.lookandfeelexplorer.desktop
%{_kde5_bindir}/lookandfeelexplorer
%dir %{_kde5_datadir}/kpackage/genericqml/org.kde.plasma.lookandfeelexplorer/
%{_kde5_datadir}/kpackage/genericqml/org.kde.plasma.lookandfeelexplorer/*
%{_appdatadir}/org.kde.plasma.lookandfeelexplorer.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-plasmoidviewer
Summary:	Plasma 5 plasmoid viewer
Group:		Graphical desktop/KDE
Requires:	plasma5-shell-plasmoidviewer
Conflicts:	plasmate

%description -n plasma5-plasmoidviewer
Plasma 5 plasmoid viewer. It's used to run plasmoids in their own window.

%files -n plasma5-plasmoidviewer -f plasmoidviewer.lang
%{_kde5_bindir}/plasmoidviewer
%{_kde5_mandir}/man1/plasmoidviewer.1*

#----------------------------------------------------------------------------

%package -n plasma5-shell-plasmoidviewer
Summary:	Plasma 5 plasmoid viewer shell
Group:		Graphical desktop/KDE
# Not sure if it's required
Suggests:	plasma5-plasmoidviewer

%description -n plasma5-shell-plasmoidviewer
Plasma 5 plasmoid viewer shell.

%files -n plasma5-shell-plasmoidviewer -f plasma_shell_org.kde.plasmoidviewershell.lang
%dir %{_kde5_datadir}/plasma/shells/org.kde.plasma.plasmoidviewershell/
%{_kde5_datadir}/plasma/shells/org.kde.plasma.plasmoidviewershell/*
%{_kde5_services}/plasma-shell-org.kde.plasma.plasmoidviewershell.desktop
%{_appdatadir}/org.kde.plasma.plasmoidviewershell.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-themeexplorer
Summary:	Plasma 5 theme explorer
Group:		Graphical desktop/KDE

%description -n plasma5-themeexplorer
Plasma 5 theme explorer. It's used to explore and edit plasma themes.

%files -n plasma5-themeexplorer -f org.kde.plasma.themeexplorer.lang
%{_kde5_applicationsdir}/org.kde.plasma.themeexplorer.desktop
%{_kde5_bindir}/plasmathemeexplorer
%dir %{_kde5_datadir}/kpackage/genericqml/org.kde.plasma.themeexplorer/
%{_kde5_datadir}/kpackage/genericqml/org.kde.plasma.themeexplorer/*
%{_appdatadir}/org.kde.plasma.themeexplorer.appdata.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
# Must not be plasma_shell_org.kde.desktop, should be checked if fixed
rm -f po/*/plasma_shell_org.kde.desktop.po
# Don't ship translations if we don't ship package itself
rm -f po/*/kdevpackagemanagerview.po
rm -f po/*/plasmate.po
rm -f po/*/plasmawallpaperviewer.po
rm -f po/*/remote-widgets-browser.po

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang cuttlefish cuttlefish_editorplugin cuttlefish.lang
%find_lang plasmaengineexplorer
%find_lang plasmoidviewer
%find_lang org.kde.plasma.lookandfeelexplorer
%find_lang org.kde.plasma.themeexplorer
%find_lang plasma_shell_org.kde.plasmoidviewershell

%changelog

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (0e0e83f) New version 5.10.5

* Thu Aug 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (3b8f79e) Update files
- (Andrey Bondrov: 76d9dcb) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (be80f8b) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (9f118a2) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (d03a185) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (101fc05) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (fab7090) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (ca522a6) Update files (add man pages)
- (Andrey Bondrov: 593710d) Build requires kf5doctools-devel
- (Andrey Bondrov: b8cb7cf) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (2cfb056) Disable some appdata files that are no longer generated
- (Andrey Bondrov: fb09183) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (11cc3ee) Add plasma5-lookandfeelexplorer package
- (Andrey Bondrov: c975988) New version 5.8.3

* Tue Oct 25 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (6d0e581) Update files
- (Andrey Bondrov: 751f34a) Use _appdatadir macro
- (Andrey Bondrov: 90db8f2) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (b7aca85) Update files for cuttlefish package
- (valerol: 2169cf8) Fix translations for themeexplorer (now named org.kde.plasma.themeexplorer)
- (valerol: d6c31ce) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (bcebdd3) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (5c77523) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (536183f) MassBuild#1026: Increase release tag

* Sat Apr 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (7162377) Build requires kf5itemmodels-devel
- (Andrey Bondrov: f9c8306) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (1855915) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (38a8c2e) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (8ae80f8) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (1d053e3) New version 5.5.3


